# org.pdfclown.util.math.OperationUtils Class Reference

Specialized math operations. More...

List of all members.

## Static Public Member Functions
static int | Compare (byte[] data1, byte[] data2)
| Compares big-endian byte arrays.
static int | Compare (double value1, double value2, double epsilon)
| Compares double-precision floating-point numbers applying the specified error tolerance.
static int | Compare (double value1, double value2)
| Compares double-precision floating-point numbers applying the default error tolerance.
static void | Increment (byte[] data, int position)
| Increments a big-endian byte array at the specified position.
static void | Increment (byte[] data)
| Increments a big-endian byte array.

##

Specialized math operations.

## Member Function Documentation

static int org.pdfclown.util.math.OperationUtils.Compare | ( | byte[] | data1,
|  | byte[] | data2 |
| ) |  |  | `[static]`

Compares big-endian byte arrays.

Parameters:

  | data1 | First argument to compare.
  | data2 | Second argument to compare.

Returns:
  How the first argument compares to the second:
  - -1, smaller;
  - 0, equal;
  - 1, greater.

static int org.pdfclown.util.math.OperationUtils.Compare | ( | double | value1,
|  | double | value2,
|  | double | epsilon |
| ) |  |  | `[static]`

Compares double-precision floating-point numbers applying the specified error tolerance.

Parameters:

  | value1 | First argument to compare.
  | value2 | Second argument to compare.
  | epsilon | Relative error tolerance.

Returns:
  How the first argument compares to the second:
  - -1, smaller;
  - 0, equal;
  - 1, greater.

static int org.pdfclown.util.math.OperationUtils.Compare | ( | double | value1,
|  | double | value2 |
| ) |  |  | `[static]`

Compares double-precision floating-point numbers applying the default error tolerance.

Parameters:

  | value1 | First argument to compare.
  | value2 | Second argument to compare.

Returns:
  How the first argument compares to the second:
  - -1, smaller;
  - 0, equal;
  - 1, greater.

References org.pdfclown.util.math.OperationUtils.Compare().

Referenced by org.pdfclown.util.math.OperationUtils.Compare().

static void org.pdfclown.util.math.OperationUtils.Increment | ( | byte[] | data,
|  | int | position |
| ) |  |  | `[static]`

Increments a big-endian byte array at the specified position.

static void org.pdfclown.util.math.OperationUtils.Increment | ( | byte[] | data | ) | `[static]`

Increments a big-endian byte array.

References org.pdfclown.util.math.OperationUtils.Increment().

Referenced by org.pdfclown.util.math.OperationUtils.Increment().

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.